## org.eclipse.emf.ecore.impl
Class EStructuralFeatureImpl.BasicFeatureMapEntry

    java.lang.Object
      org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.BasicFeatureMapEntry

All Implemented Interfaces:
  FeatureMap.Entry, FeatureMap.Entry.Internal

Direct Known Subclasses:
  EStructuralFeatureImpl.ContainmentUpdatingFeatureMapEntry, EStructuralFeatureImpl.InverseUpdatingFeatureMapEntry, EStructuralFeatureImpl.SimpleFeatureMapEntry

Enclosing class:
  EStructuralFeatureImpl

    public abstract static class EStructuralFeatureImpl.BasicFeatureMapEntry

extends java.lang.Object
implements FeatureMap.Entry.Internal

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Entry
`FeatureMap.Entry.Internal`

Field Summary
`protected EStructuralFeature.Internal` `eStructuralFeature`

Method Summary
`FeatureMap.Entry.Internal` `createEntry(InternalEObject value)`
`FeatureMap.Entry.Internal` `createEntry(java.lang.Object value)`
`boolean` `equals(java.lang.Object that)`
`EStructuralFeature` `getEStructuralFeature()` Returns the feature.
`int` `hashCode()`
`java.lang.String` `toString()`
`void` `validate(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Entry.Internal
`inverseAdd, inverseAdd, inverseRemove, inverseRemove`

Methods inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Entry
`getValue`

Field Detail

### eStructuralFeature

    protected final EStructuralFeature.Internal eStructuralFeature

Method Detail

### getEStructuralFeature

    public final EStructuralFeature getEStructuralFeature()

  Description copied from interface: `FeatureMap.Entry`
  Returns the feature.

  Specified by:
    `getEStructuralFeature` in interface `FeatureMap.Entry`
  Returns:
    the feature.

### validate

    public void validate(java.lang.Object value)

  Specified by:
    `validate` in interface `FeatureMap.Entry.Internal`

### createEntry

    public FeatureMap.Entry.Internal createEntry(java.lang.Object value)

  Specified by:
    `createEntry` in interface `FeatureMap.Entry.Internal`

### createEntry

    public FeatureMap.Entry.Internal createEntry(InternalEObject value)

  Specified by:
    `createEntry` in interface `FeatureMap.Entry.Internal`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.